Skip to main content
`Ctrl`+`K`

# MatLMVMSymBadBroydenGetPsi

Get the psi parameter for a Broyden class quasi-Newton update matrix

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSymBadBroydenGetPsi(Mat B, PetscReal *psi)

## Input Parameter

- B - The matrix

## Output Parameter

- psi - a number defining an update that is an affine combination of the BFGS update (psi = 1) and DFP update (psi = 0)

## Note

If B does not have a constant value of `psi` for all iterations this will return `psi` = `PETSC_DETERMINE` = -1, a negative value that `psi` cannot attain for a valid general Broyden update. This is the case if `B` is a `MATLMVMSYMBROYDEN`, where `psi`’s dual value `phi` is constant and `psi` changes from iteration to iteration.

## See Also

KSP: Linear System Solvers, `MATLMVMSYMBROYDEN`, `MATLMVMSYMBADBROYDEN`, `MATLMVMDFP`, `MATLMVMBFGS`, `MatLMVMSymBadBroydenSetPsi()`, `MatLMVMSymBroydenGetPhi()`, `MatLMVMSymBroydenSetPhi()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/symbrdn/symbrdn.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages